2018-04-20 11:20 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002896OpenFOAM[All Projects] Bugpublic2018-04-07 11:53
ReporterHans-does-linux 
Assigned Tochris 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0002896: OpenFOAM5 not in repository
Descriptionunable to install OpenFOAM5

Thanks for helping me out on my previous issue, however ..

anycase I'll try to link to another repository
Steps To Reproducedaphne@daphne-Aspire-5742G:~$ sudo apt-get update
[sudo] password for daphne:
Hit:1 http://dl.openfoam.org/ubuntu artful InRelease
Hit:2 ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com artful InRelease
Get:3 ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com artful-updates InRelease [81,7 kB]
Get:4 ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com artful-backports InRelease [72,2 kB]
Get:5 ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com artful-security InRelease [78,6 kB]
Get:6 ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com artful-updates/main i386 Packages [226 kB]
Get:7 ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com artful-updates/main i386 DEP-11 Metadata [96,6 kB]
Get:8 ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com artful-updates/main DEP-11 64x64 Icons [54,0 kB]
Get:9 ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com artful-updates/universe i386 Packages [101 kB]
Get:10 ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com artful-updates/universe i386 DEP-11 Metadata [86,4 kB]
Get:11 ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com artful-updates/universe DEP-11 64x64 Icons [79,8 kB]
Get:12 ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com artful-updates/multiverse i386 DEP-11 Metadata [2 468 B]
Get:13 ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com artful-backports/universe i386 DEP-11 Metadata [5 092 B]
Get:14 ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com artful-security/main i386 DEP-11 Metadata [17,2 kB]
Get:15 ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com artful-security/main DEP-11 64x64 Icons [27,5 kB]
Get:16 ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com artful-security/universe i386 DEP-11 Metadata [44,0 kB]
Get:17 ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com artful-security/universe DEP-11 64x64 Icons [24,1 kB]
Fetched 997 kB in 2s (337 kB/s)
Reading package lists... Done
daphne@daphne-Aspire-5742G:~$ sudo apt-get -y install openfoam5
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package openfoam5
daphne@daphne-Aspire-5742G:~$ ^C
daphne@daphne-Aspire-5742G:~$ sudo apt-get -y install openfoam5
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package openfoam5
daphne@daphne-Aspire-5742G:~$
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009463

Hans-does-linux (reporter)

After reconnecting to another repository ... same error



daphne@daphne-Aspire-5742G:~$ sudo add-apt-repository http://dl.openfoam.org/ubuntu
[sudo] password for daphne:
daphne@daphne-Aspire-5742G:~$ sudo sh -c "wget -O - http://dl.openfoam.org/gpg.key | apt-key add -"
--2018-04-01 22:11:48-- http://dl.openfoam.org/gpg.key
Resolving dl.openfoam.org (dl.openfoam.org)... 52.208.208.42
Connecting to dl.openfoam.org (dl.openfoam.org)|52.208.208.42|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1710 (1,7K) [application/pgp-keys]
Saving to: ‘STDOUT’

- 100%[===================>] 1,67K --.-KB/s in 0s

2018-04-01 22:11:48 (78,0 MB/s) - written to stdout [1710/1710]

OK
daphne@daphne-Aspire-5742G:~$ sudo apt-get update
Hit:1 http://it-mirrors.evowise.com/ubuntu artful InRelease
Hit:2 http://it-mirrors.evowise.com/ubuntu artful-updates InRelease
Hit:3 http://dl.openfoam.org/ubuntu artful InRelease
Hit:4 http://it-mirrors.evowise.com/ubuntu artful-backports InRelease
Hit:5 http://it-mirrors.evowise.com/ubuntu artful-security InRelease
Reading package lists... Done
daphne@daphne-Aspire-5742G:~$ sudo apt-get -y install openfoam5
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package openfoam5
daphne@daphne-Aspire-5742G:~$

~0009464

wyldckat (updater)

OK, it took me some minutes to figure this out, but now it's a lot clearer, since this time you've provided all of the output for each step.

First let me point to the following sentence in the end of the first paragraph on the installation instructions page: https://openfoam.org/download/5-0-ubuntu/

    Both packs are available for the following versions of Ubuntu, 64 bit only:


Notice the "64 bit only" at the end.

Now if we look at the output that you've provided, there are several occurrences of this excerpt:

    artful-updates/main i386

This means that it's a 32-bit (i386) installation of Ubuntu 17.10, which is why the package "openfoam5" does not exist.


This means that there are only a few other options for installing OpenFOAM 5:

 1. You can re-install Ubuntu, but this time install the 64-bit version.

 2. Or you can install by building from source code, by following these instructions: https://openfoam.org/download/source/

~0009465

Hans-does-linux (reporter)

Thnx,
I would never figured this out myself ...
I was under the impression that it was a 64 bit installation. but I goofed up.

I'll reinstall the laptop and go at it again
thnx

~0009467

chris (manager)

Thanks for resolving Bruno

~0009470

chris (manager)

Resolved
+Notes

-Issue History
Date Modified Username Field Change
2018-04-01 21:02 Hans-does-linux New Issue
2018-04-01 21:14 Hans-does-linux Note Added: 0009463
2018-04-02 16:52 wyldckat Note Added: 0009464
2018-04-02 16:52 wyldckat Category Contribution => Bug
2018-04-02 21:35 Hans-does-linux Note Added: 0009465
2018-04-03 09:14 chris Assigned To => chris
2018-04-03 09:14 chris Status new => resolved
2018-04-03 09:14 chris Resolution open => fixed
2018-04-03 09:14 chris Note Added: 0009467
2018-04-03 09:14 chris Status resolved => closed
2018-04-07 11:53 chris Status closed => resolved
2018-04-07 11:53 chris Note Added: 0009470
+Issue History